uniform mat4 mvpMatrix;
uniform mat4 transformationMatrix;

attribute vec4 position;
attribute vec2 texCoords;

varying vec2 pass_TexCoords;

void main() {

    vec4 transformatedPosition = transformationMatrix * position;
    gl_Position = mvpMatrix * transformatedPosition;

    pass_TexCoords = (transformationMatrix * vec4(texCoords, 0.0, 0.0)).xy;
    pass_TexCoords *= vec2(3.0, 3.0);
    pass_TexCoords.y = clamp(pass_TexCoords.y, 0.0, 1.0) + 0.01;

}